function output = nspectrum(params, arg2)
%estimations of spectra (reference- G990021-00)
%fiber noise LIGO-T0900376-v1-

eval(params)
FreeRunningPhi= tf(2*(2*pi)^2*10^4,[1,-(2*pi*100),0]);
PreStabilizedPhi = tf((2*pi)^2*0.02*1e6, [1,-2*pi*1e6, 0]);
IntensityNoise = tf(1e-5*2*pi*1e3*[1,-2*pi*1e5], 2*pi*1e5*[1,2*pi*1e3]);
PathLengthtoPhi = tf((2*pi)^3*1e-6/lambdar, [1,0,0]);
CavityLength = tf((2*pi)^2*1e-6, [1,0,0]);
Fiber = tf(2*pi, [1,0]);
if strcmp(arg2, 'FRphi'), output = FreeRunningPhi;
elseif strcmp(arg2, 'PSLphi'), output = PreStabilizedPhi;
elseif strcmp(arg2, 'Intensity'), output = IntensityNoise;
elseif strcmp(arg2, 'PLtoPhi'), output = PathLengthtoPhi;
elseif strcmp(arg2, 'CavLength'), output = CavityLength;
elseif strcmp(arg2, 'FiberNoise'), output = Fiber;
end